List the recorded Legs of a Call
const url = 'https://api.customer.onsim.uk/v1/calls/example/recordings';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.customer.onsim.uk/v1/calls/example/recordings \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The ID of the Call, encoded for a path.
Responses
Section titled “Responses”OK
The audio of one Leg. A Call can have none, one or several.
object
The ID of the Leg of the Recording.
When the links stop. Ask again for new links.
The parts of the Recording, in the order to play them. Most Recordings have one.
One part of a Recording.
object
A link to the audio, as a WAV file. It works until expires_at.
Examplegenerated
[ { "leg_id": "example", "expires_at": "2026-04-15T12:00:00Z", "files": [ { "url": "example" } ] }]The request is not valid
An error, as RFC 9457 Problem Details.
object
A URI that names the kind of error. It is also a page of the docs.
A short summary of the kind of error.
The HTTP status.
What went wrong in this request.
Each parameter that is not valid. Only an invalid-request error has it.
object
The parameter that is not valid.
Why it is not valid.
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "errors": [ { "field": "example", "detail": "example" } ]}The API key is missing or not valid, or: This request is not permitted
An error, as RFC 9457 Problem Details.
object
A URI that names the kind of error. It is also a page of the docs.
A short summary of the kind of error.
The HTTP status.
What went wrong in this request.
Each parameter that is not valid. Only an invalid-request error has it.
object
The parameter that is not valid.
Why it is not valid.
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "errors": [ { "field": "example", "detail": "example" } ]}No such resource
An error, as RFC 9457 Problem Details.
object
A URI that names the kind of error. It is also a page of the docs.
A short summary of the kind of error.
The HTTP status.
What went wrong in this request.
Each parameter that is not valid. Only an invalid-request error has it.
object
The parameter that is not valid.
Why it is not valid.
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "errors": [ { "field": "example", "detail": "example" } ]}The request is too large
An error, as RFC 9457 Problem Details.
object
A URI that names the kind of error. It is also a page of the docs.
A short summary of the kind of error.
The HTTP status.
What went wrong in this request.
Each parameter that is not valid. Only an invalid-request error has it.
object
The parameter that is not valid.
Why it is not valid.
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "errors": [ { "field": "example", "detail": "example" } ]}Too many requests, or: The daily quota is used up
An error, as RFC 9457 Problem Details.
object
A URI that names the kind of error. It is also a page of the docs.
A short summary of the kind of error.
The HTTP status.
What went wrong in this request.
Each parameter that is not valid. Only an invalid-request error has it.
object
The parameter that is not valid.
Why it is not valid.
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "errors": [ { "field": "example", "detail": "example" } ]}The request failed
An error, as RFC 9457 Problem Details.
object
A URI that names the kind of error. It is also a page of the docs.
A short summary of the kind of error.
The HTTP status.
What went wrong in this request.
Each parameter that is not valid. Only an invalid-request error has it.
object
The parameter that is not valid.
Why it is not valid.
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "errors": [ { "field": "example", "detail": "example" } ]}Your records are not available now
An error, as RFC 9457 Problem Details.
object
A URI that names the kind of error. It is also a page of the docs.
A short summary of the kind of error.
The HTTP status.
What went wrong in this request.
Each parameter that is not valid. Only an invalid-request error has it.
object
The parameter that is not valid.
Why it is not valid.
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "errors": [ { "field": "example", "detail": "example" } ]}The request took too long
An error, as RFC 9457 Problem Details.
object
A URI that names the kind of error. It is also a page of the docs.
A short summary of the kind of error.
The HTTP status.
What went wrong in this request.
Each parameter that is not valid. Only an invalid-request error has it.
object
The parameter that is not valid.
Why it is not valid.
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "errors": [ { "field": "example", "detail": "example" } ]}